mia-3dlandmarks-transform(1)

NAME
mia-3dlandmarks-transform - Transform 3D landmark positions.

SYNOPSIS
mia-3dlandmarks-transform -i <in-file> -o <out-file> -t <transformation> [options]

DESCRIPTION
mia-3dlandmarks-transform Transform the locations of the landmarks by means of a given 3D transformation. Note, landmark transformations do the inverse of an image transformation (in a manner of speaking), i.e. given a transformation V(x) in an image transformation the pixel intensity at x is set to the original intensity at V(x), while a landmark at x is moved to V(x).

OPTIONS

    -i --in-file=(input, required); io
        input landmark set
         For supported file types see PLUGINS:3dlandmarklist/io

    -o --out-file=(output, required); io
        output landmark set
         For supported file types see PLUGINS:3dlandmarklist/io

    -t --transformation=(input, required); io
        transformation file
         For supported file types see PLUGINS:3dtransform/io

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 3dlandmarklist/io

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

lmx IO plugin to load and store 3D landmark lists

    Recognized file extensions: .lmx

PLUGINS: 3dtransform/io

bbs Binary (non-portable) serialized IO of 3D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 3D transformations

    Recognized file extensions: .v, .v3dt

xml XML serialized IO of 3D transformations

    Recognized file extensions: .x3dt

EXAMPLE
Transform the landmarks given in input.lmx by applying the transformation stored in trans.v and store the result in output.lmx

mia-3dlandmarks-transform -i input.lmx -t trans.v -o output.lmx

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.